.wp-block {
	max-width: var(--wp--custom--container--narrow);
}

.pxlm-page-list {
	list-style: none;
	margin-left: auto;
	margin-right: auto;
	max-width: var(--wp--custom--container--lv-1);
	width: 100%;
	@media (768px > width) {
		list-style: none;
		max-width: calc(100% - var(--wp--custom--container--gutter));
	}

	.children {
		display: none;
	}

	li {
		background-color: transparent;
		border: 0;
		padding: 0;

		& + li {
			margin-top: var(--wp--preset--spacing--40);
		}

		a {
			background-color: transparent;
			border: 1px solid var(--wp--preset--color--gray-88);
			color: var(--wp--preset--color--dark-01);
			display: block;
			overflow: hidden;
			padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--40) var(--wp--preset--spacing--40)
				var(--wp--preset--spacing--60);
			position: relative;
			text-decoration: none;
			transition: var(--wp--custom--transition--default);
			z-index: 1;
			@media (768px > width) {
				padding: var(--wp--preset--spacing--40) var(--wp--preset--spacing--80) var(--wp--preset--spacing--40)
					var(--wp--preset--spacing--60);
			}

			&:hover {
				color: var(--wp--preset--color--white);

				&::before {
					left: -15%;
				}
			}

			ion-icon.pxlm-ion-icon--link-trailing {
				color: var(--wp--preset--color--dark-01);
				font-size: var(--wp--preset--font-size--larger);
				position: absolute;
				right: var(--wp--preset--spacing--50);
				top: 50%;
				transform: translateY(-50%);
			}

			&::before {
				background-color: var(--wp--preset--color--dark-01);
				content: "";
				height: 100%;
				left: -105%;
				position: absolute;
				top: 0;
				transform: skew(-15deg);
				transition: 1s all ease;
				width: 100%;
				z-index: -1;
			}
		}
	}
}

.pxlm-google-map {
	border: 4px solid var(--wp--preset--color--overlay-light);
	border-radius: var(--wp--preset--border-radius--x-large);
	display: block;
	height: 400px;
	margin-bottom: 0;
	margin-left: auto;
	margin-right: auto;
	max-width: var(--wp--custom--container--lv-1);
	overflow: hidden;
	width: 100%;
	@media (768px > width) {
		display: block;
		height: 250px;
		max-width: calc(100vw - var(--wp--custom--container--gutter));
	}

	& + .wp-block-paragraph {
		margin-top: var(--wp--preset--spacing--40);
	}
}
